メニューを切り替える
個人設定メニューを切り替える
個人メニューを切り替える
ログインしていません
編集を行うと、IPアドレスが公開されます。

テンプレート:Infobox/styles.css

提供: いろり鯖 / Hytale日本鯖Wiki
.irori-infobox {
    position: relative;
    width: 320px;
    padding: 16px 0;
    border: var(--border-base);
    border-radius: var(--border-radius-large);
    border-spacing: 0;
    color: var(--color-base);
    background-color: var(--color-surface-2);
    line-height: var(--line-height-xx-small);
    font-size: var(--font-size-small);
}

.irori-infobox th,
.irori-infobox td {
    padding: 0;
    vertical-align: top;
}

.irori-infobox tr > *:first-child {
    padding-left: 16px;
}

.irori-infobox tr > *:last-child {
    padding-right: 16px;
}

.irori-infobox .irori-infobox-title {
    font-size: var(--font-size-x-large);
    padding-bottom: 4px;
}

.irori-infobox-title,
.irori-infobox-header {
    color: var(--color-emphasized);
}

.irori-infobox-title,
.irori-infobox-subtitle {
    line-height: var(--line-height-xxx-small);
}

.irori-infobox .irori-infobox-image {
    border-top-left-radius: var(--border-radius-large);
    border-top-right-radius: var(--border-radius-large);
    padding: 0 !important;
    transform: translateY(-16px);
    overflow: hidden;
}

.irori-infobox-image > figure,
.irori-infobox-image > figure > figcaption {
    border: 0;
    padding: 0;
    background: transparent;
    box-shadow: none;
}

.irori-infobox-image > figure {
    margin-top: 0;
    margin-bottom: 0;
    overflow: hidden;
}

.irori-infobox-image .mw-file-description {
    border-radius: var(--border-radius-sharp) !important;
}

.irori-infobox-image > figure > figcaption {
    padding-left: 16px;
    padding-right: 16px;
    text-align: center;
}

.irori-infobox-image > figure > a::after,
.irori-infobox-image > figure > figcaption::before {
    content: none;
}

.irori-infobox-image > figure img {
    margin: 0;
    border: 0;
}

.irori-infobox-image,
.irori-infobox-subtitle,
.irori-infobox-caption {
    text-align: center;
}

.irori-infobox-subtitle,
.irori-infobox-caption {
    color: var(--color-subtle);
    font-size: var(--font-size-x-small);
}

.irori-infobox .irori-infobox-caption {
    padding-top: 4px;
    padding-bottom: 4px;
}

.irori-infobox .irori-infobox-header {
    padding-top: 12px;
    padding-bottom: 8px;
}

.irori-infobox-header:not(.irori-infobox-title) span {
    display: flex;
    align-items: center;
    gap: 1rem;
    white-space: nowrap;
    color: var(--color-subtle);
    font-size: var(--font-size-x-small);
    font-weight: var(--font-weight-regular);
}

.irori-infobox-header:not(.irori-infobox-title) span:before,
.irori-infobox-header:not(.irori-infobox-title) span:after {
    content: " ";
    height: 1px;
    width: 100%;
    background-color: var(--border-color-base);
}

.irori-infobox .irori-infobox-data,
.irori-infobox .irori-infobox-label {
    padding: 8px;
}

.irori-infobox-label {
    text-align: start;
    vertical-align: top;
}

@media (max-width: 640px) {
    .irori-infobox {
        width: 100%;
    }

    .irori-infobox-image > figure {
        margin-top: 16px;
    }
}